/*
 * Core modules for the IBM OSS Distributed Lock Manager
 *
 * Copyright (C) 2001, International Business Machines
 *
 * Authors: Peter R. Badovinatz, Ian D. Romanick
 * Contacts: wombat@us.ibm.com, idr@us.ibm.com
 * http://oss.software.ibm.com/developerworks/opensource/linux/projects/dlm
 *
 * This program is free software;  you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY;  without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See
 * the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program;  if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 * http://www.gnu.org/copyleft/gpl.html
 */
#ident "$Id: dlm_proto.h,v 1.9 2001/03/12 20:00:00 wombat Exp $"

#ifndef DLM_PROTO_H
#define DLM_PROTO_H

/*
 * If we are building the prototypes, then do not include the file
 * containing the prototypes...
 */
#if !defined(CPROTO) && !defined(MAKEDEPS)

struct dlm_workunit;
struct dlm_stats_buf;
struct topology_address_message;
struct poll_info;

#include "dlm_real_proto.h"
#endif

#endif /* DLM_PROTO_H */
