/*
 * Core modules for the IBM OSS Distributed Lock Manager
 *
 * Copyright (C) 2001, International Business Machines
 *
 * Authors: Peter R. Badovinatz, Ian D. Romanick
 * Contacts: wombat@us.ibm.com, idr@us.ibm.com
 * http://oss.software.ibm.com/developerworks/opensource/linux/projects/dlm
 *
 * This program is free software;  you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY;  without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See
 * the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program;  if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 * http://www.gnu.org/copyleft/gpl.html
 */
#ident "$Id: clm_tune.h,v 1.2 2001/03/12 19:50:47 wombat Exp $"

/*
 *   COMPONENT_NAME: CLLOCKD
 *
 *   FUNCTIONS:
 */

#ifndef CLM_TUNE_H
#define CLM_TUNE_H

struct dlm_stats_buf
{
    unsigned int maxresources ;
    unsigned int reclocks_used ;
    unsigned int reclocks_denied ;
    unsigned int reclocks_max ;
    unsigned int items_max ;
    unsigned int lock_warned ;
    unsigned int res_warned ;
    unsigned int res_used ;
    unsigned int kvmem_max ;
    unsigned int kvmem_used ;
} ;

#endif /* CLM_TUNE_H */
