#!/bin/sh

CONV=./convert
tmp=convert_test.out.$$

if [ ! -x $CONV ]; then
    echo BAD CONFIG
    exit 2
fi

for MODE in NL CR CW PR PW EX
do
    $CONV -m $MODE > $tmp 2>&1
    fgrep -i 'AST block not
error' $tmp > /dev/null 2>&1
    if [ $? -eq 0 ]; then
        echo FAIL
	exit 1
    fi
done

echo SUCCESS
rm -f $tmp
